# Class VulkanPipelineInputAssemblyStateCreateInfo.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanPipelineInputAssemblyStateCreateInfo.Builder

Enclosing class:
  `VulkanPipelineInputAssemblyStateCreateInfo`

public static final class VulkanPipelineInputAssemblyStateCreateInfo.Builder extends Object
Builds instances of type `VulkanPipelineInputAssemblyStateCreateInfo`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final VulkanPipelineInputAssemblyStateCreateInfo.Builder`
  `addAllFlags(Iterable<VulkanPipelineInputAssemblyStateCreateFlag> elements)`
  Adds elements to `flags` set.
  `final VulkanPipelineInputAssemblyStateCreateInfo.Builder`
  `addFlags(VulkanPipelineInputAssemblyStateCreateFlag element)`
  Adds one element to `flags` set.
  `final VulkanPipelineInputAssemblyStateCreateInfo.Builder`
  `addFlags(VulkanPipelineInputAssemblyStateCreateFlag... elements)`
  Adds elements to `flags` set.
  `VulkanPipelineInputAssemblyStateCreateInfo`
  `build()`
  Builds a new `VulkanPipelineInputAssemblyStateCreateInfo`.
  `final VulkanPipelineInputAssemblyStateCreateInfo.Builder`
  `from(VulkanPipelineInputAssemblyStateCreateInfoType instance)`
  Fill a builder with attribute values from the provided `VulkanPipelineInputAssemblyStateCreateInfoType` instance.
  `final VulkanPipelineInputAssemblyStateCreateInfo.Builder`
  `setFlags(Iterable<VulkanPipelineInputAssemblyStateCreateFlag> elements)`
  Sets or replaces all elements for `flags` set.
  `final VulkanPipelineInputAssemblyStateCreateInfo.Builder`
  `setPrimitiveRestartEnable(boolean primitiveRestartEnable)`
  Initializes the value for the `primitiveRestartEnable` attribute.
  `final VulkanPipelineInputAssemblyStateCreateInfo.Builder`
  `setTopology(VulkanPrimitiveTopology topology)`
  Initializes the value for the `topology` attribute.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanPipelineInputAssemblyStateCreateInfo.Builder from(VulkanPipelineInputAssemblyStateCreateInfoType instance)
    Fill a builder with attribute values from the provided `VulkanPipelineInputAssemblyStateCreateInfoType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values. Collection elements and entries will be added, not replaced.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanPipelineInputAssemblyStateCreateInfo.Builder addFlags(VulkanPipelineInputAssemblyStateCreateFlag element)
    Adds one element to `flags` set.
    Parameters:
      `element` - A flags element
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanPipelineInputAssemblyStateCreateInfo.Builder addFlags(VulkanPipelineInputAssemblyStateCreateFlag... elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An array of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setFlags

    public final VulkanPipelineInputAssemblyStateCreateInfo.Builder setFlags(Iterable<VulkanPipelineInputAssemblyStateCreateFlag> elements)
    Sets or replaces all elements for `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllFlags

    public final VulkanPipelineInputAssemblyStateCreateInfo.Builder addAllFlags(Iterable<VulkanPipelineInputAssemblyStateCreateFlag> elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setTopology

    public final VulkanPipelineInputAssemblyStateCreateInfo.Builder setTopology(VulkanPrimitiveTopology topology)
    Initializes the value for the `topology` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `topology`.

    Parameters:
      `topology` - The value for topology
    Returns:
      `this` builder for use in a chained invocation

  - ### setPrimitiveRestartEnable

    public final VulkanPipelineInputAssemblyStateCreateInfo.Builder setPrimitiveRestartEnable(boolean primitiveRestartEnable)
    Initializes the value for the `primitiveRestartEnable` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `primitiveRestartEnable`.

    Parameters:
      `primitiveRestartEnable` - The value for primitiveRestartEnable
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanPipelineInputAssemblyStateCreateInfo build()
    Builds a new `VulkanPipelineInputAssemblyStateCreateInfo`.
    Returns:
      An immutable instance of VulkanPipelineInputAssemblyStateCreateInfo
    Throws:
      `IllegalStateException` - if any required attributes are missing